# $Revision: 1.58 $, $Date: 2011/07/25 10:18:54 $
#
# Conditional build:
%bcond_without	static_libs	# don't build static library
%bcond_without	xmms		# don't build XMMS plugin
#
Summary:	Free Lossless Audio Codec
Summary(pl.UTF-8):	Free Lossless Audio Codec - Wolnodostępny bezstratny kodek audio
Name:		flac
Version:	1.2.1
Release:	6
License:	BSD (libFLAC/libFLAC++), GPL (programs and plugins)
Group:		Libraries
Source0:	http://dl.sourceforge.net/flac/%{name}-%{version}.tar.gz
# Source0-md5:	153c8b15a54da428d1f0fadc756c22c7
Patch0:		%{name}-without_xmms.patch
Patch1:		%{name}-lt.patch
Patch2:		%{name}-gcc44.patch
URL:		http://flac.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake >= 1:1.7
# for AM_ICONV
BuildRequires:	gettext-devel
BuildRequires:	libogg-devel >= 2:1.0
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.4d-3
%{?with_xmms:BuildRequires:	rpmbuild(macros) >= 1.125}
%{?with_xmms:BuildRequires:	xmms-devel >= 0.9.5.1}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
FLAC is an Open Source lossless audio codec developed by Josh Coalson.

%description -l pl.UTF-8
FLAC jest bezstratnym kodekiem audio z otwartymi źródłami, rozwijanym
przez Josha Coalsona.

%package devel
Summary:	FLAC - development files
Summary(pl.UTF-8):	FLAC - pliki nagłówkowe
License:	BSD
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libogg-devel >= 2:1.0
# for -c++ only
#Requires:	libstdc++-devel

%description devel
The package contains the development header files for FLAC libraries.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe bibliotek FLAC.

%package static
Summary:	FLAC - static libraries
Summary(pl.UTF-8):	FLAC - biblioteki statyczne
License:	BSD
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
The package contains FLAC static libraries.

%description static -l pl.UTF-8
Ten pakiet zawiera biblioteki statyczne FLAC.

%package c++
Summary:	FLAC++ - C++ API for FLAC codec
Summary(pl.UTF-8):	FLAC++ - API C++ do kodeka FLAC
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description c++
FLAC++ - C++ API for FLAC codec.

%description c++ -l pl.UTF-8
FLAC++ - API C++ do kodeka FLAC.

%package c++-devel
Summary:	Header files for FLAC++ library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki FLAC++
Group:		Development/Libraries
Requires:	%{name}-c++ = %{version}-%{release}
Requires:	%{name}-devel = %{version}-%{release}

%description c++-devel
Header files for FLAC++ library.

%description c++-devel -l pl.UTF-8
Pliki nagłówkowe biblioteki FLAC++.

%package c++-static
Summary:	Static FLAC++ library
Summary(pl.UTF-8):	Statyczna biblioteka FLAC++
Group:		Development/Libraries
Requires:	%{name}-c++-devel = %{version}-%{release}

%description c++-static
Static FLAC++ library.

%description c++-static -l pl.UTF-8
Statyczna biblioteka FLAC++.

%package -n xmms-input-flac
Summary:	Free Lossless Audio Codec - XMMS plugin
Summary(pl.UTF-8):	Wtyczka FLAC dla XMMS
License:	GPL v2+
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	xmms

%description -n xmms-input-flac
FLAC input plugin for XMMS.

%description -n xmms-input-flac -l pl.UTF-8
Wtyczka dla XMMS umożliwiająca odtwarzanie plików w formacie FLAC.

%prep
%setup -q
%{!?with_xmms:%patch0 -p1}
%patch1 -p1
%patch2 -p1

rm m4/ogg.m4

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_static_libs:--disable-static}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# no makefiles in doc dirs
rm -f doc/html/{Makefile*,images/Makefile*,images/hw/Makefile*,ru/Makefile*}
rm -f $RPM_BUILD_ROOT%{xmms_input_plugindir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post   c++ -p /sbin/ldconfig
%postun c++ -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING.Xiph README doc/html/{*.html,images}
%lang(ru) %doc doc/html/ru
%attr(755,root,root) %{_bindir}/flac
%attr(755,root,root) %{_bindir}/metaflac
%attr(755,root,root) %{_libdir}/libFLAC.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libFLAC.so.8
%{_mandir}/man1/flac.1*
%{_mandir}/man1/metaflac.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libFLAC.so
%{_libdir}/libFLAC.la
%{_includedir}/FLAC
%{_pkgconfigdir}/flac.pc
%{_aclocaldir}/libFLAC.m4

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libFLAC.a
%endif

%files c++
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libFLAC++.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libFLAC++.so.6

%files c++-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libFLAC++.so
%{_libdir}/libFLAC++.la
%{_includedir}/FLAC++
%{_pkgconfigdir}/flac++.pc
%{_aclocaldir}/libFLAC++.m4

%if %{with static_libs}
%files c++-static
%defattr(644,root,root,755)
%{_libdir}/libFLAC++.a
%endif

%if %{with xmms}
%files -n xmms-input-flac
%defattr(644,root,root,755)
%attr(755,root,root) %{xmms_input_plugindir}/libxmms-flac.so
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: flac.spec,v $
Revision 1.58  2011/07/25 10:18:54  arekm
- release 6

Revision 1.57  2011/07/25 10:12:18  arekm
- rel 5; use system ogg.m4

Revision 1.56  2011/07/25 10:02:00  arekm
- release 4

Revision 1.55  2011/06/25 16:25:23  areq
- rel 3

Revision 1.54  2009/05/30 12:56:18  megabajt
- added -lt.patch and -gcc44.patch
- remove Makefiles from doc
- ghost soname symlinks
- release 2

Revision 1.53  2007/10/13 16:24:55  megabajt
- CVE reference for revision 1.52

Revision 1.52  2007/09/20 13:24:05  arekm
- up to 1.2.1 [fixes CVE-2007-4619]

Revision 1.51  2007/08/07 17:03:42  qboosh
- updated to 1.2.0
- separated c++-* packages (FLAC++ - C++ API for FLAC)

Revision 1.50  2007/02/19 19:42:08  qboosh
- updated to 1.1.4
- removed obsolete link patch

Revision 1.49  2007/02/12 21:23:55  glen
- tabs in preamble

Revision 1.48  2007/02/12 00:48:49  baggins
- converted to UTF-8

Revision 1.47  2006/12/01 06:28:26  qboosh
- updated to 1.1.3 (note: new sonames, OggFLAC* libs integrated into FLAC*)
- removed obsolete read_only_relocs,plugin_xmms patches, added link patch

Revision 1.46  2006/05/01 00:05:39  charles
- added without static_libs bcond

Revision 1.45  2005/05/15 19:17:22  adamg
- release 4 for Th

Revision 1.44  2005/03/18 17:09:19  blekot
- patch for xmms
- rel +1
- STBR

Revision 1.43  2005/03/15 14:46:47  charles
- BR: gettext-devel

Revision 1.42  2005/03/14 13:37:50  havner
- rel 2

Revision 1.41  2005/03/14 13:12:55  havner
- read_ony_relocs patch

Revision 1.40  2005/02/07 21:54:22  qboosh
- updated to 1.1.2 (note: new sonames again)

Revision 1.39  2005/01/14 22:59:41  qboosh
- id3lib no longer used

Revision 1.38  2004/11/27 19:21:08  saq
- massive attack: more BR epoch fixes

Revision 1.37  2004/10/17 18:46:44  qboosh
- liberty not speed

Revision 1.36  2004/10/17 18:07:29  troll
- "it's a matter of liberty, not price"

Revision 1.35  2004/10/17 17:59:25  qboosh
- updated to 1.1.1
- removed obsolete lt,am18,link patches
- kill useless .la for xmms plugin

Revision 1.34  2004/01/02 17:18:22  jajcus
- Release: 5 (STBR after AMD64 fixes)

Revision 1.33  2003/12/29 19:35:31  qboosh
- PIC problem fixed in proper way (in link patch), removed workaround

Revision 1.32  2003/12/29 16:45:55  jajcus
- workaround for broken build process (which fails on AMD64)

Revision 1.31  2003/12/28 14:20:06  qboosh
- added am18 and link patches, new-style bcond
- BR: id3lib-devel for xmms plugin
- release 4

Revision 1.30  2003/08/11 20:44:54  ankry
cosmetics

Revision 1.29  2003/08/04 21:24:59  grzegol
- added new macros [BR: rpmbuild(macros) >= 1.125]
- cosmetics/sorting/simplifications/more (B)Rs and so on
- rel. ++

Revision 1.28  2003/06/27 12:42:57  misi3k
- std sf url

Revision 1.27  2003/06/09 13:35:55  qboosh
- fixed doc dirs structure, added ru docs

Revision 1.26  2003/05/25 11:00:51  malekith
- massive attack, adding Source-md5

Revision 1.25  2003/05/25 05:47:25  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.24  2003/02/26 17:11:10  qrczak
- Uncomment libtool patch, needed at least for libtool-1.4e-0.20030119.1.
- Release 2.

Revision 1.23  2003/02/05 15:49:28  mmazur
- back to the old BR :)

Revision 1.22  2003/02/05 01:02:21  mmazur
- patch broke building so commented it out

Revision 1.21  2003/02/05 00:45:24  mmazur
- fixed BRs

Revision 1.20  2003/01/31 07:17:35  trojan
- removed outdated patch

Revision 1.19  2003/01/30 21:34:52  adgor
- Commented out acfix.patch (already removed from repo)

Revision 1.18  2003/01/30 07:47:19  trojan
- updated to 1.1.0

Revision 1.17  2003/01/27 16:29:29  wrobell
- back to proper build requirements (libtool development version is
  required)

Revision 1.16  2003/01/27 15:58:17  wrobell
- fixed build requirements

Revision 1.15  2003/01/27 15:43:16  wrobell
- fixed build requirements

Revision 1.14  2003/01/20 09:11:20  pascalek
- source url updated

Revision 1.13  2003/01/20 08:55:05  trojan
- added bcond _without_xmms
- fixed %%files

Revision 1.12  2002/12/31 19:11:25  blues
- remove Makefiles from docs...

Revision 1.11  2002/12/22 12:11:25  qboosh
- build fix

Revision 1.10  2002/11/25 14:13:02  ankry
- massive attack: no need for 755 for *.la

Revision 1.9  2002/11/05 20:33:04  aflinta
- updated to version 1.0.4
- some cleanups

Revision 1.8  2002/10/09 13:14:22  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.7  2002/09/16 01:33:15  qboosh
- pl fixes, fixed perms; release 3

Revision 1.6  2002/09/05 11:15:17  kloczek
- releas 2: cosmetics.

Revision 1.5  2002/09/05 06:57:53  djrzulf
- s/Sourcowym/Source'owym/

Revision 1.4  2002/09/04 13:11:33  djrzulf
- s/malostratny/bezstratny/

Revision 1.3  2002/09/03 17:41:49  kloczek
- added missing "Requires: xmms" in xmms-input-flac subpackage and few cosmetic.

Revision 1.2  2002/09/03 12:47:30  wiget
- fix definition of xmms input plugin dir

Revision 1.1  2002/09/03 11:21:30  djrzulf
- initial release,
- seems to be finished, if it's ok please STBR,
